DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# node-list-reduce

## Name

node-list-reduce -- Implements node-list-reduce as per ISO/IEC 10179:1996

## Synopsis

    (node-list-reduce nl proc init)

## Description

Implements `node-list-reduce` as per ISO/IEC 10179:1996

## Author

From ISO/IEC 10179:1996

## Source Code

    (define (node-list-reduce nl proc init)
      ;; Implements node-list-reduce as per ISO/IEC 10179:1996
      (if (node-list-empty? nl)
          init
          (node-list-reduce (node-list-rest nl)
                            proc
                            (proc init (node-list-first nl)))))

Prev | Home | Next
ISO/IEC 10179 | Up | node-list-last